declare abstract class HttpHandler {
    protected abstract order: number;
    protected abstract route: string | null;
    protected abstract action: (...any: any[]) => any;
    protected context: any;
    constructor(context: Record<string, any>);
    setContext(context: Record<string, any>): HttpHandler;
    getContext(): Record<string, any>;
    getRoute(): string | null;
    getAction(): (...any: any[]) => any;
    getOrder(): number;
}
export { HttpHandler };
