import { Middleware } from '../base/http';
import { Logger } from '../base/logger';

class LoggerMiddleware extends Middleware {
	protected order = -97;
	protected route = null;
	protected action = (<Logger>this.context.getLogger()).getHttpLogger();
}

export { LoggerMiddleware };