"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExpressUrlencodedMiddleware = void 0;
const http_1 = require("../base/http");
const express_1 = __importDefault(require("express"));
class ExpressUrlencodedMiddleware extends http_1.Middleware {
    constructor() {
        super(...arguments);
        this.order = -99;
        this.route = null;
        this.action = express_1.default.urlencoded({ extended: false });
    }
}
exports.ExpressUrlencodedMiddleware = ExpressUrlencodedMiddleware;
